Closed Bug 719188 Opened 8 years ago Closed 7 years ago

Flag inclusion of nsDragAndDrop.js and nsTransferable.js

Categories

(addons.mozilla.org Graveyard :: Add-on Validation, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: kmag, Unassigned)

Details

(Whiteboard: [ReviewTeam])

The following scripts from the distro are officially deprecated:

chrome://global/content/nsDragAndDrop.js
chrome://global/content/nsTransferable.js

We should flag the presence of those strings anywhere in an XPI.

It would probably good if those files printed a deprecation warning to the Error Console when they were included, too, though I'm not sure which component that belongs in.
Where are the docs that say they are deprecated? Since which version are they deprecated, and are there plans to remove them?
OS: Linux → All
Hardware: x86_64 → All
Reclassifying editor bugs and changing to a new whiteboard flag. Spam, spam, spam, spam...
Whiteboard: [required amo-editors] → [ReviewTeam]
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WONTFIX
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.